﻿namespace NTERA.Engine
{
	public struct Marker
	{
		public static Marker Zero { get; } = new Marker();

		public int Pointer { get; set; }
		public int Line { get; set; }
		public int Column { get; set; }

		public Marker(int pointer, int line, int column) : this()
		{
			Pointer = pointer;
			Line = line;
			Column = column;
		}

		public override string ToString()
		{
			return $"line {Line}, column {Column}";
		}
	}
}